Debian Bug report logs - #667081
libmtp: FTBFS[kfreebsd]: undefined references (related to legacy usb stuff removed from kfreebsd-kernel-headers?)

version graph

Package: src:libmtp; Maintainer for src:libmtp is Alessio Treglia <alessio@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 3 Apr 2012 21:36:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libmtp/1.1.3-1

Fixed in version libmtp/1.1.3-2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sf.net/tracker/?func=detail&aid=3519752&group_id=158745&atid=809061

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Alessio Treglia <alessio@debian.org>:
Bug#667081; Package src:libmtp. (Tue, 03 Apr 2012 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Alessio Treglia <alessio@debian.org>. (Tue, 03 Apr 2012 21:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libmtp: FTBFS[kfreebsd]: undefined references (related to legacy usb stuff removed from kfreebsd-kernel-headers?)
Date: Tue, 03 Apr 2012 23:33:53 +0200
Package: src:libmtp
Version: 1.1.3-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -DHAVE_CONFIG_H -I. -I..  -I../src -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes -c util.c
/bin/bash ../libtool --tag=CC   --mode=link gcc  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes  -Wl,-z,relro -Wl,--as-needed -o mtp-connect connect.o delfile.o getfile.o newfolder.o sendfile.o sendtr.o pathutils.o util.o ../src/libmtp.la 
libtool: link: gcc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes -Wl,-z -Wl,relro -Wl,--as-needed -o .libs/mtp-connect connect.o delfile.o getfile.o newfolder.o sendfile.o sendtr.o pathutils.o util.o  ../src/.libs/libmtp.so
../src/.libs/libmtp.so: undefined reference to `get_usb_device_timeout'
../src/.libs/libmtp.so: undefined reference to `LIBMTP_Detect_Raw_Devices'
../src/.libs/libmtp.so: undefined reference to `get_playlist_extension'
../src/.libs/libmtp.so: undefined reference to `ptp_usb_event_wait'
../src/.libs/libmtp.so: undefined reference to `set_usb_device_timeout'
../src/.libs/libmtp.so: undefined reference to `guess_usb_speed'
../src/.libs/libmtp.so: undefined reference to `configure_usb_device'
../src/.libs/libmtp.so: undefined reference to `dump_usbinfo'
../src/.libs/libmtp.so: undefined reference to `close_device'
collect2: ld returned 1 exit status
make[3]: *** [mtp-connect] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libmtp&arch=kfreebsd-i386&ver=1.1.3-1&stamp=1333437494

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#667081; Package src:libmtp. (Wed, 04 Apr 2012 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. (Wed, 04 Apr 2012 07:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 667081@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: debian-bsd@lists.debian.org
Cc: 667081@bugs.debian.org
Subject: Re: Bug#667081: libmtp: FTBFS[kfreebsd]: undefined references (related to legacy usb stuff removed from kfreebsd-kernel-headers?)
Date: Wed, 4 Apr 2012 09:16:41 +0200
Hi guys,

On Tue, Apr 3, 2012 at 11:33 PM, Christoph Egger <christoph@debian.org> wrote:
> Your package failed to build on the kfreebsd-* buildds:
>
> gcc -DHAVE_CONFIG_H -I. -I..  -I../src -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes -c util.c
> /bin/bash ../libtool --tag=CC   --mode=link gcc  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes  -Wl,-z,relro -Wl,--as-needed -o mtp-connect connect.o delfile.o getfile.o newfolder.o sendfile.o sendtr.o pathutils.o util.o ../src/libmtp.la
> libtool: link: gcc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wmissing-prototypes -Wl,-z -Wl,relro -Wl,--as-needed -o .libs/mtp-connect connect.o delfile.o getfile.o newfolder.o sendfile.o sendtr.o pathutils.o util.o  ../src/.libs/libmtp.so
> ../src/.libs/libmtp.so: undefined reference to `get_usb_device_timeout'
> ../src/.libs/libmtp.so: undefined reference to `LIBMTP_Detect_Raw_Devices'
> ../src/.libs/libmtp.so: undefined reference to `get_playlist_extension'
> ../src/.libs/libmtp.so: undefined reference to `ptp_usb_event_wait'
> ../src/.libs/libmtp.so: undefined reference to `set_usb_device_timeout'
> ../src/.libs/libmtp.so: undefined reference to `guess_usb_speed'
> ../src/.libs/libmtp.so: undefined reference to `configure_usb_device'
> ../src/.libs/libmtp.so: undefined reference to `dump_usbinfo'
> ../src/.libs/libmtp.so: undefined reference to `close_device'
> collect2: ld returned 1 exit status
> make[3]: *** [mtp-connect] Error 1

this seems related to the removal of legacy usb stuff from
kfreebsd-kernel-headers, could you help me solving this?

Thanks in advance.

PS: Please keep me CC'd as I'm not subscribed to the list.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#667081; Package src:libmtp. (Thu, 19 Apr 2012 09:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Apr 2012 09:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 667081@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 667081-submitter@bugs.debian.org
Cc: 667081@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: FTBFS[kfreebsd]: undefined references
Date: Thu, 19 Apr 2012 10:47:10 +0200
Hi,

I'm going to drop kfreebsd support from libmtp.
Any help in fixing bug #667081 would be very, very appreciated.
Regards.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Message sent on to debian-bsd@lists.debian.org:
Bug#667081. (Thu, 19 Apr 2012 09:04:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessio Treglia <alessio@debian.org>:
Bug#667081; Package src:libmtp. (Thu, 19 Apr 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Alessio Treglia <alessio@debian.org>. (Thu, 19 Apr 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #23 received at 667081@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Alessio Treglia <alessio@debian.org>
Cc: 667081-submitter@bugs.debian.org, 667081@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: FTBFS[kfreebsd]: undefined references
Date: Thu, 19 Apr 2012 20:01:11 +0200
[Message part 1 (text/plain, inline)]
tags 667081 patch
thanks

Hi Alessio,

El 19 d’abril de 2012 10:47, Alessio Treglia <alessio@debian.org> ha escrit:
> Hi,
>
> I'm going to drop kfreebsd support from libmtp.
> Any help in fixing bug #667081 would be very, very appreciated.
> Regards.

Please excuse the delay in replying, we've had a very busy month...

The build fails because none of the libusb options is enabled in
configure.ac.  This is because of a test error (it expects a variable
to be "no" but it's actually empty).

Attached patch solves the problem.  Please can you forward this upstream?

Thanks

-- 
Robert Millan
[libusb.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 18:03:04 GMT) Full text and rfc822 format available.

Message sent on to debian-bsd@lists.debian.org:
Bug#667081. (Thu, 19 Apr 2012 18:03:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 07:27:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sf.net/tracker/?func=detail&aid=3519752&group_id=158745&atid=809061'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 07:39:10 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Fri, 20 Apr 2012 09:03:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 20 Apr 2012 09:03:18 GMT) Full text and rfc822 format available.

Message #37 received at 667081-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 667081-close@bugs.debian.org
Subject: Bug#667081: fixed in libmtp 1.1.3-2
Date: Fri, 20 Apr 2012 09:02:17 +0000
Source: libmtp
Source-Version: 1.1.3-2

We believe that the bug you reported is fixed in the latest version of
libmtp, which is due to be installed in the Debian FTP archive:

libmtp-common_1.1.3-2_all.deb
  to main/libm/libmtp/libmtp-common_1.1.3-2_all.deb
libmtp-dbg_1.1.3-2_kfreebsd-i386.deb
  to main/libm/libmtp/libmtp-dbg_1.1.3-2_kfreebsd-i386.deb
libmtp-dev_1.1.3-2_kfreebsd-i386.deb
  to main/libm/libmtp/libmtp-dev_1.1.3-2_kfreebsd-i386.deb
libmtp-doc_1.1.3-2_all.deb
  to main/libm/libmtp/libmtp-doc_1.1.3-2_all.deb
libmtp9_1.1.3-2_kfreebsd-i386.deb
  to main/libm/libmtp/libmtp9_1.1.3-2_kfreebsd-i386.deb
libmtp_1.1.3-2.debian.tar.gz
  to main/libm/libmtp/libmtp_1.1.3-2.debian.tar.gz
libmtp_1.1.3-2.dsc
  to main/libm/libmtp/libmtp_1.1.3-2.dsc
mtp-tools_1.1.3-2_kfreebsd-i386.deb
  to main/libm/libmtp/mtp-tools_1.1.3-2_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated libmtp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 20 Apr 2012 09:35:36 +0200
Source: libmtp
Binary: libmtp9 libmtp-common libmtp-runtime libmtp-dev libmtp-dbg libmtp-doc mtp-tools
Architecture: source all kfreebsd-i386
Version: 1.1.3-2
Distribution: unstable
Urgency: low
Maintainer: Alessio Treglia <alessio@debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libmtp-common - Media Transfer Protocol (MTP) common files
 libmtp-dbg - Media Transfer Protocol (MTP) debugging symbols
 libmtp-dev - Media Transfer Protocol (MTP) development files
 libmtp-doc - Media Transfer Protocol (MTP) library documentation
 libmtp-runtime - Media Transfer Protocol (MTP) runtime tools
 libmtp9    - Media Transfer Protocol (MTP) library
 mtp-tools  - Media Transfer Protocol (MTP) library tools
Closes: 667081
Changes: 
 libmtp (1.1.3-2) unstable; urgency=low
 .
   * Install apport files on Debian systems too.
   * Add patch to fix FTBFS on kfreebsd.
     Thanks to Robert Millan for the patch. (Closes: #667081)
Checksums-Sha1: 
 667c80b93e22957dc9780d74b9991e1d0e985116 2277 libmtp_1.1.3-2.dsc
 edab5e70e7798d2c15dbe0682f9337773a2266be 20418 libmtp_1.1.3-2.debian.tar.gz
 b35787fc9169f35e90462205e5893a421d242722 79962 libmtp-common_1.1.3-2_all.deb
 96d1ea17080b87ae896a469caeb3547b9fd1a86a 381104 libmtp-doc_1.1.3-2_all.deb
 6e7b77e72f63c3071cefc43fcc7da057bd75958d 169354 libmtp9_1.1.3-2_kfreebsd-i386.deb
 b66c0a9b98c083355e3490f83633583b16938ee9 68670 libmtp-dev_1.1.3-2_kfreebsd-i386.deb
 1ebc53423a94369a7a0c3b42a45d3b3803e471a5 294444 libmtp-dbg_1.1.3-2_kfreebsd-i386.deb
 0d8a573903d8fea1fcfabb5846473529ddae2743 98812 mtp-tools_1.1.3-2_kfreebsd-i386.deb
Checksums-Sha256: 
 da8fe19275dbf90d93dc6c89b8f0d890ef23daef4e0621b82ad5ef1734ce4d25 2277 libmtp_1.1.3-2.dsc
 5875f523f38584f2f065167a646606a18764eaebf103c5067a5b9e3e93578be0 20418 libmtp_1.1.3-2.debian.tar.gz
 f5850e44e37137afe90bf2041f07aab5993367c45dbe3b84d5c03648a5445c2b 79962 libmtp-common_1.1.3-2_all.deb
 a989cdd17ee7a3ad1cc4b81b426e9ec8c36b498f4fb9682d36ef05b6409d3db8 381104 libmtp-doc_1.1.3-2_all.deb
 565c9efa58f068cc40ce3a0608a4f38fd4fce2d590c8513499cdde21183e2d61 169354 libmtp9_1.1.3-2_kfreebsd-i386.deb
 d2d7405638073e69defcb9df9dc77524ef505404ef660c62851734bb80dc7b27 68670 libmtp-dev_1.1.3-2_kfreebsd-i386.deb
 fb64c64852f5df91b9f1c317758d447c47eebf722b6d3d291ca7a13a1433e290 294444 libmtp-dbg_1.1.3-2_kfreebsd-i386.deb
 a838a9bba2214d665b99c8ebf951bfaf9fa539608b64b8d6b4bbe96ea9e35e1f 98812 mtp-tools_1.1.3-2_kfreebsd-i386.deb
Files: 
 bfab3681b88514a91aa3bc7a3e092cb3 2277 libs optional libmtp_1.1.3-2.dsc
 cab72598184de390b061ad04f5a80286 20418 libs optional libmtp_1.1.3-2.debian.tar.gz
 84d068dbd13227e5e638bf356e4e6a34 79962 libs optional libmtp-common_1.1.3-2_all.deb
 c91ce438f174e7dd81824da392134d4b 381104 doc optional libmtp-doc_1.1.3-2_all.deb
 4a9bf3b4d91ab2b19b46fd1e0405fc9b 169354 libs optional libmtp9_1.1.3-2_kfreebsd-i386.deb
 aee1556d33b9156996da1c3797868c48 68670 libdevel optional libmtp-dev_1.1.3-2_kfreebsd-i386.deb
 12b19b760568a95c5da4d2ae6a3556de 294444 debug extra libmtp-dbg_1.1.3-2_kfreebsd-i386.deb
 3a8a47f4e9daa478e7eddd9411ac27ad 98812 utils optional mtp-tools_1.1.3-2_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPkSHsAAoJEOikiuUxHXZaCmMP/iakNiCTa8yM6hpRc0Wn7vQP
PFrPR7iIIuIecdjB2C3+dy4Gd3bg2U7GwI+mjhjjMQisBMVKfEy0s/KDGN6q0InM
9MPPM46yCkWCcqCWzygQTFAtRpE+t92fzE8UUzW7qwLljRq5Zmth06b+sMI9IgwD
C1RVtXbDifazRYDK6/GFTNpZMSKeHMdJ57Fak9V6lM58wkaaz58zaKTiR2SPHqaL
4rx70s2CLdOASILQoI7oPgwu5GTiuinGh2KhNq5LaSfDWc/knOvzFj05BsyasnMH
2r+Po7b3ylcP9cy5fn1YwCf7jWdOvOmhQImNv6iZtuvRUKWDMavFPB1y+MEdlNHz
e+bf2F1GQ9PuIy2EyvSD32czID0chcF/GLWTlHhRjeKbi5DqkeuJGZ6JIqqoXaRc
bTRjgmkyYxYaPSPERakEJrJ1slylHOHLXI0nomAeILKrytr+R8HXR5s+/g2zPbLo
7wDIwTPYve42Wopqd5hBn/57kLbj2jANnBWBI98IYNiJ4aS5+CeU+mr7lfHoCCnu
wYwuIrHXAVN4/s2FWEGIJROCaPBc7Yg+vGq6hFg7Oo+8kqWfplGpJH0e6xK/g6qR
e1JHOZZdDPV8K01+ASLzlVgelgCPpkFAFttjaHDfw3jkhmQRuYO9mnBf4gTZ5HTp
l0vh5yI0iDAOGd/stiTR
=5gHR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 May 2012 07:42:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:00:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.